// example.cpp : Defines the entry point for the console application.
//
#include "stdafx.h"
#include "stdio.h"
#include "stdlib.h"
#include "conio.h"
#include <windows.h>
#include "ltr\include\ltr42api.h"

TLTR42 hltr42;
char ErrorString[255];
char MsgString[255];

void oem_printf(char *s)
{
 CharToOem(s,s);
 printf("%s",s);
}


int main(int argc, char* argv[])
{

WORD OutputWord;
INT err;                 //    


//*          */
 sprintf(MsgString,"  \n");
 oem_printf(MsgString);

 err=LTR42_Init(&hltr42);

 if(err)
 {
 strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
 oem_printf(ErrorString);
 goto End;
  }
 else
 {
  sprintf(MsgString,"LTR42_Init()->OK\n");
  oem_printf(MsgString);
 }

//  .    .      -  
//     ;
//    - 1;

err=LTR42_Open(&hltr42, SADDR_DEFAULT, SPORT_DEFAULT, "", CC_MODULE1);
 if(err)
 {
   if(err==LTR_WARNING_MODULE_IN_USE)
    {
    strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
    oem_printf(ErrorString);
    }
   else
    {
     strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
     oem_printf(ErrorString);
     goto End;
    }
  }
 else
  {
  sprintf(MsgString,"LTR42_Open()->OK\n");
  oem_printf(MsgString);
 }

sprintf(MsgString," : %s\n", hltr42.ModuleInfo.Name);
oem_printf(MsgString);

sprintf(MsgString,"  AVR: %s\n", hltr42.ModuleInfo.FirmwareVersion);
oem_printf(MsgString);

sprintf(MsgString,"   AVR: %s\n", hltr42.ModuleInfo.FirmwareDate);
oem_printf(MsgString);

sprintf(MsgString,"  : %s\n\n", hltr42.ModuleInfo.Serial);
oem_printf(MsgString);

 //        
hltr42.AckEna=1; //   

/*   */
hltr42.Marks.SecondMark_Mode=1;     //    .    
hltr42.Marks.StartMark_Mode=0;      //    



//    
err=LTR42_Config(&hltr42);
if(err)
 {
 strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
 LTR42_Close(&hltr42);
 oem_printf(ErrorString);
 goto End;
  }
 else
  {
  sprintf(MsgString,"LTR42_Config()->OK\n");
  oem_printf(MsgString);
 }


  /*      -.      
  ,    , ..   9-24. */

sprintf(MsgString,"   -  0x00A17400\n");
oem_printf(MsgString);

OutputWord=0xB174;

err=LTR42_WritePort(&hltr42, OutputWord);
if(err)
 {
   strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
   LTR42_Close(&hltr42);
   oem_printf(ErrorString);
   goto End;
  }
 else
   {
  sprintf(MsgString,"LTR42_WritePort()->OK\n");
  oem_printf(MsgString);
 }



 //    
sprintf(MsgString,"   \n");
oem_printf(MsgString);

err= LTR42_StartSecondMark(&hltr42);
if(err)
  {
   strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
   LTR42_Close(&hltr42);
   oem_printf(ErrorString);
   goto End;
  }
else
  {
  sprintf(MsgString,"LTR42_StartSecondMarks()->OK\n");
  oem_printf(MsgString);
 }

 //  3 .     ,   3  
 Sleep(3000);

sprintf(MsgString,"   \n");
oem_printf(MsgString);

//    

err= LTR42_StopSecondMark(&hltr42);
if(err)
  {
   strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
   LTR42_Close(&hltr42);
   oem_printf(ErrorString);
   goto End;
  }
else
  {
  sprintf(MsgString,"LTR42_StopSecondMark()->OK\n");
  oem_printf(MsgString);
  }

 //   

  sprintf(MsgString,"  \n");
  oem_printf(MsgString);

err= LTR42_MakeStartMark(&hltr42);
if(err)
  {
   strcpy(ErrorString, (char *) LTR42_GetErrorString(err));
   LTR42_Close(&hltr42);
   oem_printf(ErrorString);
   goto End;
  }
else
 {
  sprintf(MsgString,"LTR42_MakeStartMark()->OK\n");
  oem_printf(MsgString);
 }


End:
sprintf(MsgString,">>     \n");
oem_printf(MsgString);

   while(!kbhit())
        continue;

        return 0;
}
